DELIMITER $$
CREATE PROCEDURE change_manager(IN EMPLOYEE_ID int, IN DEP_ID int)
BEGIN
	UPDATE MANAGERS 
    SET DISMISSAL_DATE='2024-01-23'
    WHERE MANAGERS.DEP_ID=DEP_ID AND DISMISSAL_DATE IS NULL;
    
    INSERT INTO MANAGERS(EMPLOYEE_ID, DEP_ID, PROMOTION_DATE)
    VALUES(EMPLOYEE_ID, DEP_ID, CURDATE());
END $$
DELIMITER ;
